GFIMPORT_TEXT(1)

NAME
gfimport_text - divide and register a text file

SYNOPSIS
gfimport_text [ options ] file

DESCRIPTION

gfimport_text is a sample program for dividing a text file to file fragments by the line and registering it to the Gfarm filesystem.

OPTIONS

-H hostfile
    specifies a list of filesystem nodes. The hostfile consists of a hostname of a filesystem node in each line. The file is almost uniformly divided into file fragments. if ``-'' is specified, standard input is used to read the host list.

-f fragment-file
    specifies a fragment-file that consists of a fragment size in byte and a filesystem node separated by a white space in each line. if ``-'' is specified, standard input is used.

-o gfarm-URL
    specifies an output file.

-?  displays a list of command options.

EXAMPLES

  IMPORTING BY SPLITTING TO SPECIFIED NUMBER OF FRAGMENTS

The following is an example using gfimport_text to import a source_file as gfarm:file by splitting to 8 fragments.
gfsched -N 8 | gfimport_text -H - -o gfarm:file source_file

  IMPORTING BY SPLITTING TO SPECIFIED NUMBER OF FRAGMENTS FOR PARTICULAR PROGRAM

The following is an example using gfimport_text to import a source_file as gfarm:file by splitting to 8 fragments to be processed by gfarm:prog program.
gfsched -N 8 -p gfarm:prog | gfimport_text -H - -o gfarm:file source_file

  IMPORTING INTO SAME DISPOSITION WITH AN EXISTING GFARM FILE

The following is an example using gfimport_text to import a source_file as gfarm:file into same disposition with existing file gfarm:template.
gfsched gfarm:template | gfimport_text -H - -o gfarm:file source_file

SEE ALSO

gfimport_fixed(1), gfsched(1), gfarm.conf(5)